Returns the projecttemplate file version with the specified id.

GEThttps://api.awork.com/api/v1/projecttemplates/{projecttemplateId}/files/{fileId}/versions/{versionId}
GET https://api.awork.com/api/v1/projecttemplates/{projecttemplateId}/files/{fileId}/versions/{versionId}

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projecttemplateIdstringRequired
format: uuid

The id of the projecttemplate.

fileIdstringRequired
format: uuid

The id of the file.

versionIdstringRequired
format: uuid

The id of the file version.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the file version.

fileInfoIdstringOptional
format: uuid

The id of the file this version belongs to.

versionnumberOptional
format: double

The version of the file.

sizeintegerOptional
format: int64

The size of the file, in bytes.

widthnumber or nullOptional
format: double

The width if this is an image file.

heightnumber or nullOptional
format: double

The height if this is an image file.

createdOnstringOptional
format: date-time

The date this file version was created.

createdBystringOptional
format: uuid

The id of the user who created this file version.

updatedOnstringOptional
format: date-time

The date this file version was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this file version.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation